{
  "description": "Validation rules for Airports and Geographic Information dataset",
  "version": "1.0.0",
  "rules": {
    "iata_ap_code": {
      "max_length": {
        "threshold": 3
      },
      "non_empty_string": null
    },
    "ap_name": {
      "max_length": {
        "threshold": 30
      },
      "non_empty_string": null
    },
    "country_code": {
      "max_length": {
        "threshold": 4
      },
      "non_empty_string": null
    },
    "dst_zone_code": {
      "max_length": {
        "threshold": 4
      },
      "non_empty_string": null
    },
    "category": {
      "max_length": {
        "threshold": 1
      },
      "non_empty_string": null
    },
    "time_zone": {
      "max_length": {
        "threshold": 4
      },
      "non_empty_string": null
    },
    "coord_longitude": {
      "max_length": {
        "threshold": 10
      },
      "non_empty_string": null
    },
    "coord_latitude": {
      "max_length": {
        "threshold": 9
      },
      "non_empty_string": null
    },
    "icao_code": {
      "max_length": {
        "threshold": 4
      }
    },
    "area": {
      "max_length": {
        "threshold": 3
      }
    },
    "external_reference": {
      "max_length": {
        "threshold": 10
      }
    },
    "last_update_user_id": {
      "max_length": {
        "threshold": 32
      }
    },
    "ap_name_nls": {
      "max_length": {
        "threshold": 60
      }
    }
  }
}

